POST
/
public
/
v1
/
submit
/
create_users
Authorizations
Body
enum<string>
required
Enum options:
ACTIVITY_TYPE_CREATE_USERS_V3string
required
Timestamp (in milliseconds) of the request, used to verify liveness of user requests.
string
required
Unique identifier for a given Organization.
object
required
parameters field
Show details
Show details
array
required
A list of Users.
Show item details
Show item details
array
required
A list of API Key parameters. This field, if not needed, should be an empty array in your request body.
Show item details
Show item details
The public component of a cryptographic key pair used to sign messages and transactions.
Enum options:
API_KEY_CURVE_P256, API_KEY_CURVE_SECP256K1, API_KEY_CURVE_ED25519array
required
A list of Authenticator parameters. This field, if not needed, should be an empty array in your request body.
Show item details
Show item details
Human-readable name for an Authenticator.
Challenge presented for authentication purposes.
object
required
attestation field
Show details
Show details
The cbor encoded then base64 url encoded id of the credential.
A base64 url encoded payload containing metadata about the signing context and the challenge.
A base64 url encoded payload containing authenticator data and any attestation the webauthn provider chooses.
array
required
array
required
A list of User Tag IDs. This field, if not needed, should be an empty array in your request body.
Show item details
Show item details
Array item type: string
item field
Response
A successful response returns the following fields:object
required
The activity object containing type, intent, and result
Show activity details
Show activity details
The intent of the activity
Show intent details
Show intent details
The createUsersIntent object
Show createUsersIntent details
Show createUsersIntent details
A list of Users.
Show users details
Show users details
accessType fieldEnum options:
ACCESS_TYPE_WEB, ACCESS_TYPE_API, ACCESS_TYPE_ALLA list of API Key parameters. This field, if not needed, should be an empty array in your request body.
Show apiKeys details
Show apiKeys details
Human-readable name for an API Key.
The public component of a cryptographic key pair used to sign messages and transactions.
A list of Authenticator parameters. This field, if not needed, should be an empty array in your request body.
Show authenticators details
Show authenticators details
Human-readable name for an Authenticator.
Unique identifier for a given User.
attestation field
Show attestation details
Show attestation details
type fieldEnum options:
public-keyauthenticatorAttachment fieldEnum options:
cross-platform, platformresponse field
Show response details
Show response details
clientDataJson field
attestationObject field
transports field
Show transports details
Show transports details
clientExtensionResults field
Show clientExtensionResults details
Show clientExtensionResults details
appid field
appidExclude field
The result of the activity
curl --request POST \
--url https://api.turnkey.com/public/v1/submit/create_users \
--header 'Accept: application/json' \
--header 'Content-Type: application/json' \
--header "X-Stamp: <YOUR_API_KEY.YOUR_API_SECRET>" \
--data '{
"type": "ACTIVITY_TYPE_CREATE_USERS_V3",
"timestampMs": "<string> (e.g. 1746736509954)",
"organizationId": "<string> (Your Organization ID)",
"parameters": {
"users": [
{
"userName": "<string>",
"userEmail": "<string>",
"userPhoneNumber": "<string>",
"apiKeys": [
{
"apiKeyName": "<string>",
"publicKey": "<string>",
"curveType": "<API_KEY_CURVE_P256>",
"expirationSeconds": "<string>"
}
],
"authenticators": [
{
"authenticatorName": "<string>",
"challenge": "<string>",
"attestation": {
"credentialId": "<string>",
"clientDataJson": "<string>",
"attestationObject": "<string>",
"transports": [
"<AUTHENTICATOR_TRANSPORT_BLE>"
]
}
}
],
"oauthProviders": [
{
"providerName": "<string>",
"oidcToken": "<string>"
}
],
"userTags": [
"<string_element>"
]
}
]
}
}'
{
"activity": {
"id": "<activity-id>",
"status": "ACTIVITY_STATUS_COMPLETED",
"type": "ACTIVITY_TYPE_CREATE_USERS_V3",
"organizationId": "<organization-id>",
"timestampMs": "<timestamp> (e.g. 1746736509954)",
"result": {
"activity": {
"type": "<string>",
"intent": {
"createUsersIntent": {
"users": [
{
"userName": "<string>",
"userEmail": "<string>",
"accessType": "<ACCESS_TYPE_WEB>",
"apiKeys": [
{
"apiKeyName": "<string>",
"publicKey": "<string>",
"expirationSeconds": "<string>"
}
],
"authenticators": [
{
"authenticatorName": "<string>",
"userId": "<string>",
"attestation": {
"id": "<string>",
"type": "<public-key>",
"rawId": "<string>",
"authenticatorAttachment": "<cross-platform>",
"response": {
"clientDataJson": "<string>",
"attestationObject": "<string>",
"transports": [
"<AUTHENTICATOR_TRANSPORT_BLE>"
],
"authenticatorAttachment": "<cross-platform>"
},
"clientExtensionResults": {
"appid": true,
"appidExclude": true,
"credProps": {
"rk": true
}
}
},
"challenge": "<string>"
}
],
"userTags": [
"<string_element>"
]
}
]
}
},
"result": {
"createUsersResult": {
"userIds": [
"<string_element>"
]
}
}
}
}
}
}